Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class AbstractEntityReference

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractParentNode
              org.apache.batik.dom.AbstractParentChildNode
                  org.apache.batik.dom.AbstractEntityReference

All Implemented Interfaces:
  org.w3c.dom.EntityReference, org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, java.io.Serializable

Direct Known Subclasses:
  GenericEntityReference

public abstract class AbstractEntityReference
extends AbstractParentChildNode
implements org.w3c.dom.EntityReference

This class implements the `EntityReference` interface.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class org.apache.batik.dom.AbstractParentNode
`AbstractParentNode.ChildNodes, AbstractParentNode.ElementsByTagName, AbstractParentNode.ElementsByTagNameNS`

Field Summary
`protected java.lang.String` | `nodeName` The node name.

Fields inherited from class org.apache.batik.dom.AbstractParentChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractParentNode
`childNodes`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `AbstractEntityReference()` Creates a new EntityReference object.
`protected` | `AbstractEntityReference(java.lang.String name, AbstractDocument owner)` Creates a new EntityReference object.

Method Summary
`protected void` | `checkChildType(org.w3c.dom.Node n, boolean replace)` Checks the validity of a node to be inserted.
`protected org.w3c.dom.Node` | `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` | `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` | `getNodeName()` DOM: Implements `Node.getNodeName()`.
`short` | `getNodeType()` DOM: Implements `Node.getNodeType()`.
`void` | `setNodeName(java.lang.String v)` Sets the name of this node.

Methods inherited from class org.apache.batik.dom.AbstractParentChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractParentNode
`appendChild, checkAndRemove, fireDOMNodeInsertedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedEvent, fireDOMNodeRemovedFromDocumentEvent, fireDOMSubtreeModifiedEvent, getChildNodes, getElementsByTagName, getElementsByTagNameNS, getFirstChild, getLastChild, hasChildNodes, insertBefore, nodeAdded, nodeToBeRemoved, normalize, removeChild, replaceChild`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, getAttributes, getCurrentDocument, getEventSupport, getLocalName, getNamespaceURI, getNodeValue, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, isSupported, newNode, removeEventListener, setNodeValue, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Methods inherited from interface org.apache.batik.dom.ExtendedNode
`isReadonly, setReadonly`

Field Detail

### nodeName

    protected java.lang.String nodeName

  The node name.

Constructor Detail

### AbstractEntityReference

    protected AbstractEntityReference()

  Creates a new EntityReference object.

### AbstractEntityReference

    protected AbstractEntityReference(java.lang.String name,
                                      AbstractDocument owner)
                               throws org.w3c.dom.DOMException

  Creates a new EntityReference object.

Parameters:
  `name` - The entity name.
  `owner` - The owner document.
Throws:
  `org.w3c.dom.DOMException` - INVALID_CHARACTER_ERR: Raised if the specified name contains an illegal character.

Method Detail

### getNodeType

    public short getNodeType()

  DOM: Implements `Node.getNodeType()`.

  Specified by:
    `getNodeType` in interface `org.w3c.dom.Node`
  Returns:
    `Node.ENTITY_REFERENCE_NODE`

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the name of this node.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### getNodeName

    public java.lang.String getNodeName()

  DOM: Implements `Node.getNodeName()`.

  Specified by:
    `getNodeName` in interface `org.w3c.dom.Node`
  Returns:
    `nodeName`.

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractNode`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractParentNode`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractNode`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractParentNode`
  Parameters:
    `n` - a node of the type of this.

### checkChildType

    protected void checkChildType(org.w3c.dom.Node n,
                                  boolean replace)

  Checks the validity of a node to be inserted.

  Overrides:
    `checkChildType` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.